Enviar um arquivo JSON de Flow
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/flows/{flowId}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form name=flow.json \
--form assetType=FLOW_JSON{
"success": true,
"validation_errors": []
}Flows
Enviar um arquivo JSON de Flow
Enviar um arquivo JSON de Flow. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
wabas
/
{wabaId}
/
flows
/
{flowId}
/
assets
Enviar um arquivo JSON de Flow
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/flows/{flowId}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form name=flow.json \
--form assetType=FLOW_JSON{
"success": true,
"validation_errors": []
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID da conta do WhatsApp Business retornado por GET /meta/phone-numbers.
ID do Flow retornado pela Meta.
Corpo
multipart/form-data
Resposta
200 - application/json
Asset uploaded — check validation_errors
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Flow is published (assets locked), or unparseable JSON | Upload to a draft flow |
500 | No file field in the multipart body | Send as multipart/form-data with field file |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?